Package ghidra.app.util.bin.format.objectiveC

# Class ObjectiveC1_TypeEncodings

java.lang.Object
ghidra.app.util.bin.format.objectiveC.ObjectiveC1_TypeEncodings

public final class ObjectiveC1_TypeEncodings extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final char`
  `_C_ARY_B`
  `static final char`
  `_C_ARY_E`
  `static final char`
  `_C_ATOM`
  `static final char`
  `_C_ATOMIC`
  `static final char`
  `_C_BFLD`
  `static final char`
  `_C_BOOL`
  `static final char`
  `_C_BYCOPY`
  `static final char`
  `_C_BYREF`
  `static final char`
  `_C_CHARPTR`
  `static final char`
  `_C_CHR`
  `static final char`
  `_C_CLASS`
  `static final char`
  `_C_CONST`
  `static final char`
  `_C_DBL`
  `static final char`
  `_C_FLT`
  `static final char`
  `_C_ID`
  `static final char`
  `_C_IN`
  `static final char`
  `_C_INOUT`
  `static final char`
  `_C_INT`
  `static final char`
  `_C_LNG`
  `static final char`
  `_C_LNG_LNG`
  `static final char`
  `_C_ONEWAY`
  `static final char`
  `_C_OUT`
  `static final char`
  `_C_PTR`
  `static final char`
  `_C_SEL`
  `static final char`
  `_C_SHT`
  `static final char`
  `_C_STRUCT_B`
  `static final char`
  `_C_STRUCT_E`
  `static final char`
  `_C_UCHR`
  `static final char`
  `_C_UINT`
  `static final char`
  `_C_ULNG`
  `static final char`
  `_C_ULNG_LNG`
  `static final char`
  `_C_UNDEF`
  `static final char`
  `_C_UNION_B`
  `static final char`
  `_C_UNION_E`
  `static final char`
  `_C_USHT`
  `static final char`
  `_C_VECTOR`
  `static final char`
  `_C_VOID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectiveC1_TypeEncodings(int pointerSize, CategoryPath categoryPath)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `processInstanceVariableSignature(Program program, Address instanceVariableAddress, String mangledType, int instanceVariableSize)`
  `String`
  `processInstanceVariableSignature(String name, String mangledType)`
  `void`
  `processMethodSignature(Program program, Address methodAddress, String mangledSignature, ObjectiveC_MethodType methodType)`
  `FunctionSignature`
  `toFunctionSignature(String methodName, String mangledSignature)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### _C_ID

    public static final char _C_ID
    See Also:
      - Constant Field Values

  - ### _C_CLASS

    public static final char _C_CLASS
    See Also:
      - Constant Field Values

  - ### _C_SEL

    public static final char _C_SEL
    See Also:
      - Constant Field Values

  - ### _C_CHR

    public static final char _C_CHR
    See Also:
      - Constant Field Values

  - ### _C_UCHR

    public static final char _C_UCHR
    See Also:
      - Constant Field Values

  - ### _C_SHT

    public static final char _C_SHT
    See Also:
      - Constant Field Values

  - ### _C_USHT

    public static final char _C_USHT
    See Also:
      - Constant Field Values

  - ### _C_INT

    public static final char _C_INT
    See Also:
      - Constant Field Values

  - ### _C_UINT

    public static final char _C_UINT
    See Also:
      - Constant Field Values

  - ### _C_LNG

    public static final char _C_LNG
    See Also:
      - Constant Field Values

  - ### _C_ULNG

    public static final char _C_ULNG
    See Also:
      - Constant Field Values

  - ### _C_LNG_LNG

    public static final char _C_LNG_LNG
    See Also:
      - Constant Field Values

  - ### _C_ULNG_LNG

    public static final char _C_ULNG_LNG
    See Also:
      - Constant Field Values

  - ### _C_FLT

    public static final char _C_FLT
    See Also:
      - Constant Field Values

  - ### _C_DBL

    public static final char _C_DBL
    See Also:
      - Constant Field Values

  - ### _C_BOOL

    public static final char _C_BOOL
    See Also:
      - Constant Field Values

  - ### _C_VOID

    public static final char _C_VOID
    See Also:
      - Constant Field Values

  - ### _C_UNDEF

    public static final char _C_UNDEF
    See Also:
      - Constant Field Values

  - ### _C_PTR

    public static final char _C_PTR
    See Also:
      - Constant Field Values

  - ### _C_CHARPTR

    public static final char _C_CHARPTR
    See Also:
      - Constant Field Values

  - ### _C_ATOM

    public static final char _C_ATOM
    See Also:
      - Constant Field Values

  - ### _C_ARY_B

    public static final char _C_ARY_B
    See Also:
      - Constant Field Values

  - ### _C_ARY_E

    public static final char _C_ARY_E
    See Also:
      - Constant Field Values

  - ### _C_UNION_B

    public static final char _C_UNION_B
    See Also:
      - Constant Field Values

  - ### _C_UNION_E

    public static final char _C_UNION_E
    See Also:
      - Constant Field Values

  - ### _C_STRUCT_B

    public static final char _C_STRUCT_B
    See Also:
      - Constant Field Values

  - ### _C_STRUCT_E

    public static final char _C_STRUCT_E
    See Also:
      - Constant Field Values

  - ### _C_VECTOR

    public static final char _C_VECTOR
    See Also:
      - Constant Field Values

  - ### _C_BFLD

    public static final char _C_BFLD
    See Also:
      - Constant Field Values

  - ### _C_CONST

    public static final char _C_CONST
    See Also:
      - Constant Field Values

  - ### _C_IN

    public static final char _C_IN
    See Also:
      - Constant Field Values

  - ### _C_INOUT

    public static final char _C_INOUT
    See Also:
      - Constant Field Values

  - ### _C_OUT

    public static final char _C_OUT
    See Also:
      - Constant Field Values

  - ### _C_BYCOPY

    public static final char _C_BYCOPY
    See Also:
      - Constant Field Values

  - ### _C_BYREF

    public static final char _C_BYREF
    See Also:
      - Constant Field Values

  - ### _C_ONEWAY

    public static final char _C_ONEWAY
    See Also:
      - Constant Field Values

  - ### _C_ATOMIC

    public static final char _C_ATOMIC
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ObjectiveC1_TypeEncodings

    public ObjectiveC1_TypeEncodings(int pointerSize, CategoryPath categoryPath)

- ## Method Details

  - ### processMethodSignature

    public void processMethodSignature(Program program, Address methodAddress, String mangledSignature, ObjectiveC_MethodType methodType)

  - ### toFunctionSignature

    public FunctionSignature toFunctionSignature(String methodName, String mangledSignature)

  - ### processInstanceVariableSignature

    public void processInstanceVariableSignature(Program program, Address instanceVariableAddress, String mangledType, int instanceVariableSize)

  - ### processInstanceVariableSignature

    public String processInstanceVariableSignature(String name, String mangledType)